#
# spec file for package ibcs2 (Version 981105)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  -lx_suse lx_sus22
# usedforbuild    -lx_suse aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz lx_sus22 m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         ibcs2
%define kernel_version %(uname -r)
Copyright:    1993-95 Eric Youngdale, Joe Portman, Mike Jagdis, Al Longyear
Group:        System Environment/Kernel
Provides:     libcs svr4slib 
Requires:     modules
Autoreqprov:  off
Version:      981105
Release:      146
Summary:      The iBCS2 emulator
Source: ibcs-2.1-981105.tar.gz
Source1: libnsl-960201.tar.gz
Source2: protlib-960201.tar.gz
Source3: sco-libs-940731.tar.gz
Source4: svr4-shlib-961222.tar.gz
Patch: ibcs.dif

%description
CAUTION: This package contains the libc.so.1 for SYSV 4.x systems! If you
install this package you may encounter strange things! If you compile a
program and specify the linker option "-L/usr/lib", the linker tries to
link THIS library which of course doesn't work. In such a case, either
specify the option "-L/lib -L/usr/lib" or do not specify any path. Then
the program will be successfully linked.

Authors:
--------
    Eric Youngdale <eric@aib.com>
    Joe Portman <baron@hebron.connected.com>
    Mike Jagdis <jaggy@purplet.demon.co.uk>
    Al Longyear <longyear@netcom.com>

SuSE series: emu

%package -n km_ibcs
Summary:      ibcs kernel module source
Group: System Environment/Kernel

%description -n km_ibcs
INTERNAL USE ONLY

SuSE series: suse

%prep
%setup -n ibcs -b 1 -b 2 -b 3 -b 4
%patch -p1
cd ..
chown -Rh root.root *

%build
if [ -d /usr/lib/gcc-lib/i486-linuxaout ] ; then
	export EMU_X286=yes
else
	export EMU_X286=no
fi
    make -f Makefile.Linux compile EMU_X286=$EMU_X286

%install
rm -f /lib/modules/%{kernel_version}/misc/iBCS
if [ -d /usr/lib/gcc-lib/i486-linuxaout ] ; then
	export EMU_X286=yes
else
	export EMU_X286=no
fi
    make -f Makefile.Linux install EMU_X286=$EMU_X286
    rm -Rf /shlib
    mkdir /shlib
    cp -a ../libnsl/libnsl_s /shlib/libnsl_s.emu
    cp -a ../libnsl/libnsl_s.debug /shlib/libnsl_s.debug
    ln -s libnsl_s.emu /shlib/libnsl_s
    cp -a ../lib_s.map /shlib
    cp -a ../libc_s /shlib
    cp -a ../protlib/protlib_s /shlib/protlib_s.emu
    cp -a ../protlib/protlib_s.debug /shlib/protlib_s.debug
    ln -s protlib_s.emu /shlib/protlib_s
    cp -a ../usr /
echo > extra.file
chmod -R go-w /shlib/*
mkdir -p /usr/src/kernel-modules
cp -a iBCSemul /usr/src/kernel-modules/ibcs
cp -a include/ibcs /usr/src/kernel-modules/ibcs
cp CONFIG /usr/src/kernel-modules/ibcs
test -d /usr/lib/gcc-lib/i486-linuxaout && echo /usr/lib/x286emul > extra.file

%files -f extra.file
%dir /shlib
%dir /usr/share/doc/packages/ibcs2
%dir /usr/share/doc/packages/ibcs2/Doc
%dir /usr/share/doc/packages/ibcs2/PROD.Patches
%dir /usr/i486-sysv4
%dir /usr/i486-sysv4/lib
/dev/MAKEDEV.ibcs
/shlib/lib_s.map
/shlib/libc_s
/shlib/libnsl_s
/shlib/libnsl_s.debug
/shlib/libnsl_s.emu
/shlib/protlib_s
/shlib/protlib_s.debug
/shlib/protlib_s.emu
%doc /usr/share/doc/packages/ibcs2/CREDITS
%doc /usr/share/doc/packages/ibcs2/ChangeLog
%doc /usr/share/doc/packages/ibcs2/Doc/COMPAT
%doc /usr/share/doc/packages/ibcs2/Doc/Error.map
%doc /usr/share/doc/packages/ibcs2/Doc/HINTS
%doc /usr/share/doc/packages/ibcs2/Doc/Local-X
%doc /usr/share/doc/packages/ibcs2/Doc/Notes.Signal
%doc /usr/share/doc/packages/ibcs2/Doc/Personality
%doc /usr/share/doc/packages/ibcs2/Doc/Syscall.map
%doc /usr/share/doc/packages/ibcs2/Doc/iBCS.9
%doc /usr/share/doc/packages/ibcs2/PROD.Patches/README
%doc /usr/share/doc/packages/ibcs2/PROD.Patches/SCO.map
%doc /usr/share/doc/packages/ibcs2/PROD.Patches/SVR4.map
%doc /usr/share/doc/packages/ibcs2/PROD.Patches/WP
%doc /usr/share/doc/packages/ibcs2/PROD.Patches/termcap
%doc /usr/share/doc/packages/ibcs2/PROD.Patches/terminfo
%doc /usr/share/doc/packages/ibcs2/README
%doc /usr/share/doc/packages/ibcs2/RELEASE
/usr/i486-sysv4/lib/ld.so.1
/usr/i486-sysv4/lib/libc.so.1
/usr/i486-sysv4/lib/libdl.so.1
/usr/i486-sysv4/lib/libelf.so.1
/usr/i486-sysv4/lib/libnsl.so
/usr/i486-sysv4/lib/libsocket.so
/usr/lib/ld.so.1
/usr/lib/libc.so.1

%files -n km_ibcs
/usr/src/kernel-modules/ibcs

%changelog -n ibcs2
* Thu May 03 2001 - mantel@suse.de
- make iBCS2 compile with kernel 2.2.19 (strlen_user replaced by
  strnlen_user)
* Thu Apr 12 2001 - ro@suse.de
- missed another place for SMP
* Mon Mar 12 2001 - ro@suse.de
- compile module correctly for SMP
* Thu Jan 11 2001 - ro@suse.de
- created km_ibcs subpackage
- fixed world writable files in /shlib
- removed k_deflt from neededforbuild
* Wed Dec 06 2000 - ro@suse.de
- fixed to compile
* Fri Dec 01 2000 - ro@suse.de
- use lx_sus22 for now
* Fri Oct 13 2000 - mantel@suse.de
- update to ibcs-2.0.970513
- fix for LFS changes (Andrea Arcangeli)
* Wed Jul 19 2000 - bs@suse.de
- disabled autoreqprov.
* Tue Jun 06 2000 - uli@suse.de
- moved docs to /usr/share/doc
* Thu Feb 10 2000 - ro@suse.de
- replaced kernmod by k_deflt
* Wed Oct 27 1999 - ro@suse.de
- changed neededforbuild (no more old-gcc for kernel)
* Fri Oct 22 1999 - ro@suse.de
- specfile fix
* Sun Oct 17 1999 - ro@suse.de
- fixed neededforbuild
* Mon Oct 11 1999 - ro@suse.de
- added gccfront to neededforbuild
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 27 1999 - ro@suse.de
- set kernel-version to 2.2.12
* Fri Jul 16 1999 - ro@suse.de
- modified to contain own module
* Wed Mar 10 1999 - ro@suse.de
- update 2.1 sources
- compile 2.1 for non-SMP
* Tue Mar 09 1999 - ro@suse.de
- build based on 2.1 sources
* Mon Mar 01 1999 - ro@suse.de
- specfile-fix: changed chmod to chmod -h
* Mon Nov 30 1998 - ro@suse.de
- fixed typo in specfile
* Fri Nov 27 1998 - ro@suse.de
- added sources for 2.1 module
* Wed Nov 11 1998 - ro@suse.de
- fixes for glibc
- only build x286emu if a.out is available
* Wed Oct 29 1997 - mantel@suse.de
- recompiled for 2.0.31
- ready for autobuild
* Wed Aug 06 1997 - mantel@suse.de
- new version 970513
- recompiled for 2.0.30
* Thu Jan 02 1997 - bs@suse.de
- recompiled with kernel 2.0.25
- don't includes sources in package.
